<?php

require_once 'Dashboard.php';


class Cache extends Dashboard {

	public function info () {

		$app         = $this->app;

		$cache       = $app->cache;

		$path        = $cache->_path();
		$expire      = $cache->_expire();

		$info        = array();

		$size_expire = 0;
		$size_all    = 0;

		if ($dh = opendir($path)) {

			while ($file = readdir($dh)) {

				$key    = substr($file, 0, strpos($file, '.'));
				if (! isset($expire[$key])) continue;

				$full   = "${path}/${file}";

				$age    = (time() - filemtime($full)) / 60;
				$status = $age >= $expire[$key] ? 'expire' : 'active';

				if (! isset($info[$key][$status]))
					$info[$key][$status] = 0;

				$info[$key][$status] += filesize($full);
			}

			closedir($dh);
		}

		foreach ($info as &$item) {

			if (! isset($item['expire'])) $item['expire'] = 0;
			if (! isset($item['active'])) $item['active'] = 0;

			$size_expire += $item['expire'];
			$size_all    += $item['expire'] + $item['active'];
		}

		$app->stash->expire      = $expire;
		$app->stash->info        = $info;
		$app->stash->size_expire = $size_expire;
		$app->stash->size_all    = $size_all;

		$app->render(array(
			'html' => function($app) {
				include 'templates/cache.php';
			},
			'json' => $app->stash->info(),
		));
	}

	public function clear () {
		$this->app->cache->_clear();
		$this->app->redirect('cache-info');
	}
	public function delete () {
		$this->app->cache->_clear(TRUE);
		$this->app->redirect('cache-info');
	}
}

?>
