<?php

require_once 'Dashboard.php';


class Settings extends Dashboard {

	static
	protected $proto = array(

		// dashboard

		'auth'                => array(
			'test'         => '/^[\w-]+$/',
		),
		'password'            => array(),

		// plati

		'id_agent'            => array(
			'test'         => 'integer:unsigned',
		),
		'guid_agent'          => array(
			'test'         => '/^[\dA-F]{32}$/',
		),

		// cache

		'expire_goods'        => array(
			'test'         => '/^\d+$/',
		),
		'expire_seller_goods' => array(
			'test'         => '/^\d+$/',
		),
		'expire_search'       => array(
			'test'         => '/^\d+$/',
		),
	);


	public function form () {
		$this->app->render(array('html' => function($app) {
			include 'templates/settings.php';
		}));
	}

	public function set () {

		$app   = $this->app;

		if ($app->conf->is_demo) return FALSE;

		$proto = $this->proto();
		$error = $this->test ($proto);

		if   ($error)
			$result = array('error'   => $app->dict($error));
		else {
			$result = array('success' => $app->dict('Saved'));
			$app->cache->store('settings', $proto);
		}

		foreach ($result as  $key => $val)
			$app->stash->$key =  $val;

		if   ($app->setup && ! $error) {
			$app ->session->is_admin = TRUE;
			$app ->redirect('');
		}
		else	$app ->render(array('json' => $result))
			or
			$this->form();
	}

	// ------------------------------------------------------------------ //

	protected function test ($data) {

		$app   = $this->app;

		$error = parent::test($data);

		if (	!  isset($error['guid_agent'])
			&& $app->settings->guid_agent != $data['guid_agent']
		)
		{
			$api = new Agent\PlatiAPI (array(
				'guid_agent' => $data['guid_agent'],
			));

			if (! $api->check_guid())
				$error['guid_agent'] = 'invalid';
		}

		return  $error;
	}
}

?>
