<?php

error_reporting(E_ALL);

require_once 'lib/Agent.php';


// --- app ------------------------------------------------------------------ //

$app = new Agent\App (array(

	'charset'     => 'UTF-8',
	'type'        => 'html',

	'timezone'    => 'UTC',

	'langs'       => array(
		'en-US' => 'English',
		'ru-RU' => 'Русский',
	),

	'icon_src'    => 'graph.digiseller.ru/img.ashx',
));

define('HAS_APP', TRUE);

if (function_exists('mb_internal_encoding'))
	mb_internal_encoding($app->conf->charset);

date_default_timezone_set   ($app->conf->timezone);

if (! session_id()) session_start();


// --- lang ----------------------------------------------------------------- //

$app	->route	('lang/:code')
	->name	('lang')
	->to	(function($app) {
		$app->cookie->lang($app->args->code, '1Y', $app->uri(''));
		$app->redirect    ($app->uri_ref_or(''));
	});

// --- embed ---------------------------------------------------------------- //

$app	->route	('embed/#id')
	->name	('embed')
	->to	('controllers/Widget.php', 'embed');

// --- setup ---------------------------------------------------------------- //

if     (  $app->setup) {

	// настройки - форма
	$app	->route_get	('settings')
		->name		('settings')
		->to		('controllers/Settings.php',	'form');
	// настройки
	$app	->route_post	('settings')
		->to		('controllers/Settings.php',	'set');

	if (! $app->route_match()) $app->redirect('settings');
}

// --- dashboard ------------------------------------------------------------ //

elseif ($app->session->is_admin) {

	// список виджетов
	$app	->route_get	('widgets')
		->name		('widgets')
		->to		('controllers/Widget.php',	'index');
	// создание виджета
	$app	->route		('widget/add')
		->name		('widget-add')
		->to		('controllers/Widget.php',	'add');
	// форма виджета
	$app	->route_get	('widget/#id')
		->name		('widget')
		->to		('controllers/Widget.php',	'form');
	// обновление виджета
	$app	->route_post	('widget/#id')
		->to		('controllers/Widget.php',	'set');
	// удаление виджета
	$app	->route		('widget/del/#id')
		->name		('widget-del')
		->to		('controllers/Widget.php',	'del');
	// дублирование виджета
	$app	->route		('widget/duplicate/#id')
		->name		('widget-duplicate')
		->to		('controllers/Widget.php',	'duplicate');

	// кэш
	$app	->route		('cache/info')
		->name		('cache-info')
		->to		('controllers/Cache.php',	'info');
	// очистка
	$app	->route		('cache/clear')
		->name		('cache-clear')
		->to		('controllers/Cache.php',	'clear');
	// удаление
	$app	->route		('cache/delete')
		->name		('cache-delete')
		->to		('controllers/Cache.php',	'delete');

	// настройки - форма
	$app	->route_get	('settings')
		->name		('settings')
		->to		('controllers/Settings.php',	'form');
	// настройки - сохранение
	$app	->route_post	('settings')
		->to		('controllers/Settings.php',	'set');

	// выход
	$app	->route		('logout')
		->name		('logout')
		->to		('controllers/Dashboard.php',	'logout');

	if (! $app->route_match()) $app->redirect('widgets');
}

// --- site ----------------------------------------------------------------- //

else   {

	// очистка кеша
	$task     = $app->cache->store('task');
	$hour     = intval(time() / 3600);

	if (! $task || $task['hour'] != $hour) {
		$task = array('hour'  => $hour);
		$app->cache-> store('task', $task);
		$app->cache->_clear();
	}

	// авторизация
	$app	->route_get	($app->settings->auth)
		->to   		('controllers/Dashboard.php',	'auth_form');
	$app	->route_post	($app->settings->auth)
		->to   		('controllers/Dashboard.php',	'auth');


	// 404
	if (! $app->route_match()) {
		$app->render(array(
			'html' => function() {
				header('HTTP/1.0 404 Not Found');
			},
			'json' => array('error' => 'notfound'),
		));
	}
}

?>
