<?php
	if (! defined('HAS_APP')) exit;

	$expire      = $app->stash->expire();
	$info        = $app->stash->info();
	$size_expire = $app->stash->size_expire;
	$size_all    = $app->stash->size_all;

	$app->stash->title = $app->dict('Cache');

	include 'templates/_header.php';
?>
<div id="cache" class="container">
	<div class="ctrl">
		<a href="<?php echo $app->url('cache-clear') ?>" class="btn btn-sm btn-primary">
			<span class="glyphicon glyphicon-filter"></span>
			<?php printf('%s (%s)', $app->dict('Clear cache'), $app->metric_size($size_expire)) ?>
		</a>
		<a href="<?php echo $app->url('cache-delete') ?>" class="btn btn-sm btn-danger confirm" data-confirm-text="<?php echo $app->dict('Delete') ?>?">
			<span class="glyphicon glyphicon-trash"></span>
			<?php printf('%s (%s)', $app->dict('Delete cache'), $app->metric_size($size_all)) ?>
		</a>
	</div>
	<?php foreach (array_keys($expire) as $key): ?>
		<div class="item">
			<strong><?php echo $app->dict($key, 'cache') ?></strong>
			<div class="progress">
				<?php
					if (isset($info[$key])):

						$active = $info[$key]['active'];
						$expire = $info[$key]['expire'];
						$actual = round($active / ($active + $expire) * 100);
				?>
						<div class="progress-bar progress-bar-success" style="width: <?php echo      $actual ?>%">
							<?php echo $app->metric_size($active) ?>
						</div>
						<div class="progress-bar progress-bar-danger" style="width: <?php echo 100 - $actual ?>%">
							<?php echo $app->metric_size($expire) ?>
						</div>
				<?php
					endif;
				?>
			</div>
		</div>
	<?php endforeach; ?>
</div>
<?php
	include 'templates/_footer.php';
?>
