<?php
	if (! defined('HAS_APP')) exit;

	$widgets  = $app->stash->widgets();

	$lock_ids = $app->conf->lock_ids();

	$app->stash->title = $app->dict('Widgets');

	include 'templates/_header.php';
?>
<div id="widgets" class="container">
	<div class="ctrl">
		<a href="<?php echo $app->url('widget-add') ?>" class="btn btn-sm btn-primary">
			<span class="glyphicon glyphicon-plus"></span>
			<?php echo $app->dict('Add a new widget') ?>
		</a>
	</div>
	<?php if ($widgets): ?>
		<div class="table-responsive">
			<table class="table table-striped">
				<thead>
					<tr>
						<th><?php echo $app->dict('Name',   'widget') ?></th>
						<th><?php echo $app->dict('Type',   'widget') ?></th>
						<th><?php echo $app->dict('Source', 'widget') ?></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($widgets as $id => $data): ?>
						<tr id="<?php echo $id ?>">
							<td><a href="<?php echo $app->uri('widget', array('id' => $id)) ?>"><strong><?php echo htmlspecialchars($data['name']) ?></strong></a></td>
							<td><?php echo $data['type']   ? $app->dict(ucfirst($data['type']),   'widget') : '&ndash;' ?></td>
							<td><?php echo $data['source'] ? $app->dict(ucfirst($data['source']), 'widget') : '&ndash;' ?></td>
							<td class="text-right">
								<button name="embed" class="btn btn-xs btn-default" type="button" data-toggle="tooltip" data-placement="top" title="<?php echo $app->dict('Embed') ?>">
									<span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
								</button>
								<a href="<?php echo $app->uri('widget-duplicate', array('id' => $id)) ?>" class="btn btn-xs btn-success" role="button" data-toggle="tooltip" data-placement="top" title="<?php echo $app->dict('Duplicate') ?>">
									<span class="glyphicon glyphicon-duplicate" aria-hidden="true"></span>
								</a>
								<a href="<?php echo $app->uri('widget-del', array('id' => $id)) ?>" class="btn btn-xs btn-danger confirm<?php if (in_array($id, $lock_ids)) echo ' disabled' ?>" role="button" data-toggle="tooltip" data-placement="top" data-confirm-text="<?php echo $app->dict('Delete') ?>?" title="<?php echo $app->dict('Delete') ?>">
									<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
								</a>
							</td>
						</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>
	<?php endif; ?>
</div>
<div id="embed" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="embedLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="<?php echo $app->dict('Close') ?>"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="embedLabel"><?php echo $app->dict('Embed') ?></h4>
			</div>
			<div class="modal-body">
				<textarea class="form-control sel-on-focus" rows="3" data-tmpl="<?php echo htmlspecialchars($app->embed_code(array('id' => '{id}'))) ?>" readonly></textarea>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $app->dict('Close') ?></button>
			</div>
		</div>
	</div>
</div>
<?php
	include 'templates/_footer.php';
?>
